%if 0%{?fedora}
%global with_python3 1
%endif
%global owner       tk0miya
%global srcname     blockdiag
%global tag         %{version}


Name:           python-%{srcname}
Version:        1.5.3
Release:        15%{?dist}
Summary:        Generate block-diagram images from text

License:        ASL 2.0
URL:            http://blockdiag.com/
Source0:        https://pypi.python.org/packages/source/b/%{srcname}/%{srcname}-%{version}.tar.gz
Source1:        description-%{srcname}.txt
Patch0001:      0001-Disable-eggs-downloading-from-pypi.patch
Patch0002:      0002-Python-3.7-compatibility.patch

BuildArch:      noarch
# upstream uses ipagp.ttf as its default font
BuildRequires:  ipa-pgothic-fonts


%global _description\
%(cat %{SOURCE1})\


%description %_description

%package -n python2-%{srcname}
Summary: %summary
BuildRequires:  python2-devel
BuildRequires:  python2-docutils
BuildRequires:  python2-funcparserlib
BuildRequires:  python2-mock
BuildRequires:  python2-nose
BuildRequires:  python2-pep8
BuildRequires:  python2-pillow
BuildRequires:  python2-reportlab
BuildRequires:  python2-setuptools
BuildRequires:  python2-webcolors
Requires:       ipa-pgothic-fonts
Requires:       python2-funcparserlib
Requires:       python2-pillow
Requires:       python2-setuptools
Requires:       python2-webcolors
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname} %_description

%package -n python2-%{srcname}-devel
Summary:        Development files for python-%{srcname}
Requires:       python2-%{srcname} = %{version}-%{release}
%{?python_provide:%python_provide python2-%{srcname}-devel}

%description -n python2-%{srcname}-devel
Development files for python-%{srcname}.


%if 0%{?with_python3}
%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-docutils
BuildRequires:  python3-funcparserlib
BuildRequires:  python3-mock
BuildRequires:  python3-nose
BuildRequires:  python3-pep8
BuildRequires:  python3-pillow
BuildRequires:  python3-reportlab
BuildRequires:  python3-setuptools
BuildRequires:  python3-webcolors
Requires:       ipa-pgothic-fonts
Requires:       python3-funcparserlib
Requires:       python3-pillow
Requires:       python3-setuptools
Requires:       python3-webcolors


%description -n python3-%{srcname}
%(cat %{SOURCE1})

This package installs the %{srcname} module for Python 3.


%package -n python3-%{srcname}-devel
Summary:        Development files for python3-%{srcname}
Requires:       python3-%{srcname} = %{version}-%{release}


%description -n python3-%{srcname}-devel
Development files for python3-%{srcname}.
%endif


%prep
%setup -qn %{srcname}-%{version}
%patch0001 -p1
%patch0002 -p1

rm -rf src/*.egg-info
%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}

find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
find           -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python}|'
%endif


%build
%{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif


%install
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
mv %{buildroot}%{_bindir}/%{srcname} %{buildroot}%{_bindir}/%{srcname}-%{python3_version}
install -pm 644 -D %{srcname}.1 %{buildroot}%{_mandir}/man1/%{srcname}-%{python3_version}.1
popd
%endif
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}
install -pm 644 -D %{srcname}.1 %{buildroot}%{_mandir}/man1/%{srcname}.1


%check
%{__python2} setup.py test ||:

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py test ||:
popd
%endif


%files -n python2-%{srcname}
%license LICENSE
%{_bindir}/%{srcname}
%{_mandir}/man1/%{srcname}.1*
%{python2_sitelib}/%{srcname}*


%files -n python2-%{srcname}-devel
%{python2_sitelib}/%{srcname}/tests


%if 0%{?with_python3}
%files -n python3-%{srcname}
%license LICENSE
%{_bindir}/%{srcname}-%{python3_version}
%{_mandir}/man1/%{srcname}-%{python3_version}.1*
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/%{srcname}*


%files -n python3-%{srcname}-devel
%{python3_sitelib}/%{srcname}/tests
%endif

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.3-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sun Jul 08 2018 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> 1.5.3-14
- Amended patch for Python 3.7

* Tue Jul 03 2018 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> 1.5.3-13
- Patched for Python 3.7

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.5.3-12
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 16 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.5.3-10
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Tue Aug 29 2017 Haïkel Guémar <hguemar@fedoraproject.org> - 1.5.3-9
- Rename also -devel package

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.5.3-8
- Python 2 binary package renamed to python2-blockdiag
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.5.3-5
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.3-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Aug 20 2015 Haïkel Guémar <hguemar@fedoraproject.org> - 1.5.3-1
- Upstream 1.5.3

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon May 19 2014 Bohuslav Kabrda <bkabrda@redhat.com> - 1.3.2-5
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Mon Mar 03 2014 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> 1.3.2-4
- Switched to the source tarball from bitbucket
- Added missing dependencies

* Sun Feb 16 2014 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> 1.3.2-3
- Added devel packages needed by other *diag packages

* Tue Dec 31 2013 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> 1.3.2-2
- Fixed python => python2 where relevant
- New slightly different summary

* Sat Dec 28 2013 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> 1.3.2-1
- Initial spec
